Subject: [P2PSIP] 答复: P2PSIP Digest, Vol 43, Issue 2

From: Xianghan Zheng <[email-masked]>
Date: Wed, 7 Jul 2010 23:54:38 +0200

you should find most of the documentation in https://datatracker.ietf.org/wg/p2psip/   Good luck.

Regards,
Xianghan

Message: 1
Date: Wed, 7 Jul 2010 09:45:11 +0800
From: Andy Savage <[email-masked]>
Subject: Re: [P2PSIP] ID generation and P2P layer function questions
To: Eric Rescorla <[email-masked]>
Cc: Xianghan Zheng <[email-masked]>, "[email-masked]"
        <[email-masked]>
Message-ID:
        <[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Where can I find more information on the RELOAD proposal?

Sorry for my ignorance but is this the main proposed way for P2P SIP or is
it part of many proposals?

I'm a bit lost as to where things are at (although I joined the list to
learn a bit more).

I've found lots of historical information on the P2P SIP idea but just not
sure where it's at now (July 2010).

On Wed, Jul 7, 2010 at 12:40 AM, Eric Rescorla <[email-masked]> wrote:

> 2010/7/6 Xianghan Zheng <[email-masked]>:
> > Hi All,
> >
> > I get questions when i quick review RELOAD v8 proposals:
> >
> > (1) RELOAD mention that central enrollment server is used for the
> generation
> > of Node-ID (Section 3.5.2), However, it looks not mention how it
> > is calculated. By hashing the SIP URI? Or random assignment?
>
>
> " One or more Node-IDs which MUST be cryptographically random
>      [RFC4086].  Each MUST be chosen by the enrollment server in such a
>      way that they are unpredictable to the requesting user.  Each is
>      placed in the subjectAltName using the uniformResourceIdentifier
>      type and MUST contain RELOAD URIs as described in Section 13.13
>      and MUST contain a Destination list with a single entry of type
>      "node_id"."
>
>
> > (2) Can i understand RELOAD proposal is 95% P2P functions and with a
> little
> > bit 5% SIP usage, since most of the functions originally designed in SIP
> > protocol have been migrated into P2P layer.
>
> I don't really know what that means.
>
> RELOAD is about arranging for a channel to teh peer over which SIP can then
> flow. It doesn't seem to me that that subsumes most of SIP but YMMV.
>
> -Ekr
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.ietf.org/mail-archive/web/p2psip/attachments/20100707/e028445e/attachment.htm>

------------------------------

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip

End of P2PSIP Digest, Vol 43, Issue 2
*************************************